An idempotency key is an arbitrary unique value generated by client to detect subsequent retries of the same request. It is recommended that a UUID or a similar random identifier be used as an idempotency key. A different key must be used for each request, unless it is a retry.
A flag to indicate whether EFT Canada credits are enabled. Both is_eft_ca_enabled and is_eft_ca_credit_enabled must be true for an EFT Canada credit to be allowed.
A flag to indicate whether EFT Canada debits are enabled. Both is_eft_ca_enabled and is_eft_ca_debit_enabled must be true for an EFT Canada debit to be allowed.
A flag to indicate whether external card credits are enabled. Both is_external_card_enabled and is_external_card_credit_enabled must be true for an external card credit to be allowed.
A flag to indicate whether external card debits are enabled. Both is_external_card_enabled and is_external_card_debit_enabled must be true for an external card debit to be allowed.
A flag to indicate whether FedNow credits are enabled. Both is_fednow_enabled and is_fednow_credit_enabled must be true for a FedNow credit to be allowed.
A flag to indicate whether FedNow debits are enabled. Both is_fednow_enabled and is_fednow_debit_enabled must be true for a FedNow debit to be allowed.
A flag to indicate whether Synctera Pay credits are enabled. Both is_synctera_pay_enabled and is_synctera_pay_credit_enabled must be true for a Synctera Pay credit to be allowed.
A flag to indicate whether Synctera Pay debits are enabled. Both is_synctera_pay_enabled and is_synctera_pay_debit_enabled must be true for a Synctera Pay debit to be allowed.
Represents whether a customer has frozen their account. FROZEN is a customer-initiated state meaning that the account will reject all debits, typically used for a lost or stolen card.
Legal account title (e.g. for trust or escrow accounts). Set at account creation and immutable thereafter; attempts to change it after creation are rejected. May be required for certain account structures such as trust accounts.
The type of the account. In lead mode, this always takes the value of the template. If not
specified in shadow mode, CHECKING will be assumed. Below mentioned are the account types:
SAVING: Savings account
CHECKING: Checking account
PREPAID: Prepaid account
LINE_OF_CREDIT: Line of Credit account
CREDIT_CARD: Credit Card account
CHARGE_SECURED: Secured Charge account, e.g. for use in a Smart Charge Card offering
GENERAL_LEDGER: General Ledger account (alpha - cannot yet be created). In production, these can only be created or updated by a Synctera administrator.
Indicates the account is a custodial account. Set at creation and immutable thereafter. An account may be flagged as any combination of custodial, trust, and escrow. account_title is required when this is set on account creation.
Indicates the account is an escrow account. Set at creation and immutable thereafter. An account may be flagged as any combination of custodial, trust, and escrow. account_title is required when this is set on account creation.
Indicates the account is a trust account. Set at creation and immutable thereafter. An account may be flagged as any combination of custodial, trust, and escrow. account_title is required when this is set on account creation.
A credit account was created for a customer, but the customer did not accept the account
N
ACTIVATED_NOT_DISBURSED
A credit account was created for the customer, but the funds have not been paid out or used
N
ACTIVE_OR_DISBURSED
The account is active and transactable
Y
APPLICATION_SUBMITTED
Deprecated status
N
AWAITING_FIXING
Account is awaiting fixing
N
CHARGED_OFF
The account has been charged off and is closed
N
CLOSED
Accounts must be zeroed out before being closed. Closed accounts cannot transact
N
DELINQUENT
Synctera will update a credit account to delinquent if the customer has not paid within their expected billing cycle
N
FAILED_KYC
We were unable to verify the identity of the account holder: they have not passed know-your-customer (KYC) checks
N
IN_CLOSING
The account is in the process of being closed. An account with the IN_CLOSING status may only be updated to CLOSED. Updates to other statuses are prohibited.
N
RESTRICTED
Synctera will update accounts to restricted of the account holder has not successfully passed KYC
N
SUSPENDED
Account has been suspected of fraudulent activity and is blocked from further transactions
Represents whether a customer has frozen their account. FROZEN is a customer-initiated state meaning that the account will reject all debits, typically used for a lost or stolen card.
The response will contain the first 3 digits (the first 6 digits for a 15 digit account number) plus the last 4 digits, with the digits in between replaced with * characters. At least 4 characters are always masked, so a shorter account number shows fewer leading digits first and then fewer trailing digits; an account number of 4 or fewer characters is fully masked. Shadow mode account numbers will not be masked.
The account template used to create this account (if any).
On creation, if not specified:
* account_type is required.
* If there is a single account template of the correct type,
that account template is automatically used.
* Otherwise, the request is an error.
Legal account title (e.g. for trust or escrow accounts). Set at account creation and immutable thereafter; attempts to change it after creation are rejected. May be required for certain account structures such as trust accounts.
The type of the account. In lead mode, this always takes the value of the template. If not
specified in shadow mode, CHECKING will be assumed. Below mentioned are the account types:
SAVING: Savings account
CHECKING: Checking account
PREPAID: Prepaid account
LINE_OF_CREDIT: Line of Credit account
CREDIT_CARD: Credit Card account
CHARGE_SECURED: Secured Charge account, e.g. for use in a Smart Charge Card offering
GENERAL_LEDGER: General Ledger account (alpha - cannot yet be created). In production, these can only be created or updated by a Synctera administrator.
The number of days past the billing period to initiate an auto payment. Only applicable for accounts with type CHARGE_SECURED, where the account holder has opted in for auto payment functionality. This value must be lower than or equal to the grace_period setting on the account. If this value is 0, the auto payment will happen on the same day as the statement is generated. Auto payment only occurs if regular payments are not received on time.
An account's funds ownership indicates which organization owns the funds in the account. For example, some GENERAL_LEDGER accounts have funds owned by the bank, even though the account is in the fintech tenant. Fintechs are not able to perform money movement on accounts where the bank or platform owns the funds. This read-only property is determined by the account_type and general_ledger_type.
Indicates the account is a custodial account. Set at creation and immutable thereafter. An account may be flagged as any combination of custodial, trust, and escrow.
A flag to indicate whether EFT Canada credits are enabled. Both is_eft_ca_enabled and is_eft_ca_credit_enabled must be true for an EFT Canada credit to be allowed.
A flag to indicate whether EFT Canada debits are enabled. Both is_eft_ca_enabled and is_eft_ca_debit_enabled must be true for an EFT Canada debit to be allowed.
Indicates the account is an escrow account. Set at creation and immutable thereafter. An account may be flagged as any combination of custodial, trust, and escrow.
A flag to indicate whether external card credits are enabled. Both is_external_card_enabled and is_external_card_credit_enabled must be true for an external card credit to be allowed.
A flag to indicate whether external card debits are enabled. Both is_external_card_enabled and is_external_card_debit_enabled must be true for an external card debit to be allowed.
A flag to indicate whether FedNow credits are enabled. Both is_fednow_enabled and is_fednow_credit_enabled must be true for a FedNow credit to be allowed.
A flag to indicate whether FedNow debits are enabled. Both is_fednow_enabled and is_fednow_debit_enabled must be true for a FedNow debit to be allowed.
A flag to indicate whether Synctera Pay credits are enabled. Both is_synctera_pay_enabled and is_synctera_pay_credit_enabled must be true for a Synctera Pay credit to be allowed.
A flag to indicate whether Synctera Pay debits are enabled. Both is_synctera_pay_enabled and is_synctera_pay_debit_enabled must be true for a Synctera Pay debit to be allowed.
Indicates the account is a trust account. Set at creation and immutable thereafter. An account may be flagged as any combination of custodial, trust, and escrow.
A credit account was created for a customer, but the customer did not accept the account
N
ACTIVATED_NOT_DISBURSED
A credit account was created for the customer, but the funds have not been paid out or used
N
ACTIVE_OR_DISBURSED
The account is active and transactable
Y
APPLICATION_SUBMITTED
Deprecated status
N
AWAITING_FIXING
Account is awaiting fixing
N
CHARGED_OFF
The account has been charged off and is closed
N
CLOSED
Accounts must be zeroed out before being closed. Closed accounts cannot transact
N
DELINQUENT
Synctera will update a credit account to delinquent if the customer has not paid within their expected billing cycle
N
FAILED_KYC
We were unable to verify the identity of the account holder: they have not passed know-your-customer (KYC) checks
N
IN_CLOSING
The account is in the process of being closed. An account with the IN_CLOSING status may only be updated to CLOSED. Updates to other statuses are prohibited.
N
RESTRICTED
Synctera will update accounts to restricted of the account holder has not successfully passed KYC
N
SUSPENDED
Account has been suspected of fraudulent activity and is blocked from further transactions
Vendor information for external account management systems
Show child attributes
Was this page helpful?
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Synctera","colors":{"primary":"#00a5fb","light":"#00a5fb","dark":"#ffd200"},"logo":{"light":"https://mintcdn.com/synctera/VKLbRj1i5Qltvt7T/logo/light.png?fit=max\u0026auto=format\u0026n=VKLbRj1i5Qltvt7T\u0026q=85\u0026s=ab8bf397160af4319e0c7718764522cb","dark":"https://mintcdn.com/synctera/VKLbRj1i5Qltvt7T/logo/dark.png?fit=max\u0026auto=format\u0026n=VKLbRj1i5Qltvt7T\u0026q=85\u0026s=919430638125dbffac15274a667e9f75","href":"https://synctera.com/"},"favicon":"https://mintcdn.com/synctera/pDSOOmsGKwjC8uU7/favicon.png?fit=max\u0026auto=format\u0026n=pDSOOmsGKwjC8uU7\u0026q=85\u0026s=abb443d475485fa9811285908c40fa93","appearance":{"default":"light"},"background":{"decoration":"gradient"},"navbar":{"links":[{"href":"https://app.synctera.com/login","label":"Log in"}],"primary":{"type":"button","label":"Contact Us","href":"https://synctera.com/contact-us"}},"footer":{"socials":{"x":"https://twitter.com/synctera","linkedin":"https://www.linkedin.com/company/synctera"}},"fonts":{"heading":{"family":"Open Sans"},"body":{"family":"Open Sans"}},"styling":{"codeblocks":"system","latex":true},"contextual":{"options":["copy","view","chatgpt","claude"],"display":"header"},"navigation":{"global":{"anchors":[{"anchor":"Postman Collection","icon":"gear-code","href":"https://www.postman.com/synctera/workspace/synctera-public-workspace/"},{"anchor":"Blog","icon":"newspaper","href":"https://synctera.com/blog"},{"anchor":"Platform Status","icon":"bolt","href":"https://status.synctera.com/"}]},"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"synctera","hasAudioNarration":false,"actualSubdomain":"synctera","customDomains":["docs.synctera.com"],"gitSource":{"type":"gitlab","owner":"synctera","repo":"docs","projectId":76847357,"deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6aea30b32e2e76a4cbf6a7b5","collectionId":"dffb1d53-96ae-4cee-8de9-061f61a50480","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6aea30b32e2e76a4cbf6a7b5"},"feedback":{"edits":false,"thumbs":true,"issues":false},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"REMOVE_BRANDING":{"status":"ENABLED"},"CONTEXTUAL_FEEDBACK":{"status":"ENABLED"},"CODE_SNIPPET_FEEDBACK":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6aedfddadcc627c40f157f23","clientVersion":"0.0.4076","searchFilterCounts":[{"language":"default","tag":"API Reference","count":764},{"language":"default","tag":"Learning Center","count":243},{"language":"default","tag":"Cards","count":224},{"language":"default","tag":"Accounts","count":202},{"language":"default","tag":"Money Movement","count":193},{"language":"default","tag":"Guides","count":177},{"language":"default","tag":"Synctera for FinTechs","count":105},{"language":"default","tag":"Customers","count":102},{"language":"default","tag":"Synctera FAQ","count":91},{"language":"default","tag":"Platform","count":85}]},"assistantConfig":{},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"rbac-expansion","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"full-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-dual-write","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"approve-review-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"sso-setup-deadline-banner","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-serve","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"live-agents","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"comment-mode","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"googleFontsInlined":true},"customCss":[{"filePath":"style.css","content":"li[id=\"topbar-cta-button\"]>a>div>span{color:#000!important}li[id=\"topbar-cta-button\"]>a>div>svg>path{stroke:#000!important}.dark li[id=\"topbar-cta-button\"]>a>div>span{color:#000!important}"}],"page":{"pagePath":"reference/patchaccount","slug":"/reference/patchaccount","pageMetadata":{"openapi":"openapi.json patch /accounts/{account_id}","title":"Patch account","description":"Patch account.\n\nImmutable fields:\n - account_number\n - account_type\n - account_template_id\n - customer_type\n - interest_product_id\n - fee_product_ids\n\nPlease note:\n - Other fields cannot be modified when access_status is FROZEN.\n - access_status has to be patched individually without other fields.\n","href":"/reference/patchaccount"},"description":{"compiledSource":"\"use strict\";\nconst {Fragment: _Fragment, jsx: _jsx, jsxs: _jsxs} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n li: \"li\",\n p: \"p\",\n ul: \"ul\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsxs(_Fragment, {\n children: [_jsx(_components.p, {\n children: \"Patch account.\"\n }), \"\\n\", _jsx(_components.p, {\n children: \"Immutable fields:\"\n }), \"\\n\", _jsxs(_components.ul, {\n children: [\"\\n\", _jsx(_components.li, {\n children: \"account_number\"\n }), \"\\n\", _jsx(_components.li, {\n children: \"account_type\"\n }), \"\\n\", _jsx(_components.li, {\n children: \"account_template_id\"\n }), \"\\n\", _jsx(_components.li, {\n children: \"customer_type\"\n }), \"\\n\", _jsx(_components.li, {\n children: \"interest_product_id\"\n }), \"\\n\", _jsx(_components.li, {\n children: \"fee_product_ids\"\n }), \"\\n\"]\n }), \"\\n\", _jsx(_components.p, {\n children: \"Please note:\"\n }), \"\\n\", _jsxs(_components.ul, {\n children: [\"\\n\", _jsx(_components.li, {\n children: \"Other fields cannot be modified when access_status is FROZEN.\"\n }), \"\\n\", _jsx(_components.li, {\n children: \"access_status has to be patched individually without other fields.\"\n }), \"\\n\"]\n })]\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"codeStyling":"system","config":{},"pageMetadata":{"openapi":"openapi.json patch /accounts/{account_id}","title":"Patch account","description":"Patch account.\n\nImmutable fields:\n - account_number\n - account_type\n - account_template_id\n - customer_type\n - interest_product_id\n - fee_product_ids\n\nPlease note:\n - Other fields cannot be modified when access_status is FROZEN.\n - access_status has to be patched individually without other fields.\n","href":"/reference/patchaccount"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"description":"Patch account.\n\nImmutable fields:\n - account_number\n - account_type\n - account_template_id\n - customer_type\n - interest_product_id\n - fee_product_ids\n\nPlease note:\n - Other fields cannot be modified when access_status is FROZEN.\n - access_status has to be patched individually without other fields.\n","operationId":"patchAccount","parameters":["31e0b9b8-9e03-4627-9e50-7c9dec2104fb","90a0481b-8f44-44de-98fe-9830d6aa9a81"],"requestBody":"cfd0d6ca-66fe-499b-ae2b-7e16b10b43e6","responses":{"200":"5d701400-c487-490e-8409-d3a9863e86b2","401":"72d45eb7-8a4a-432c-a121-5c2a6d24b15d","404":"16b1cd3b-d082-4c86-8a2c-0c241a444a98","461":"7956250f-062f-4854-9b7c-7064ad529b7e"},"summary":"Patch account","tags":["Accounts"],"x-external":true,"method":"patch","type":"path","servers":["252763c4-6c25-4585-80df-48ff12e02145","72292221-ad92-4653-828a-69c989b0f734"],"security":["f8e8cb47-dc00-43cb-a79c-97b416e4032d"],"path":"/accounts/{account_id}","baseUrlOptions":["https://api-sandbox.synctera.com/v0","https://api.synctera.com/v0"],"title":"Patch account","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{"31e0b9b8-9e03-4627-9e50-7c9dec2104fb":{"description":"An idempotency key is an arbitrary unique value generated by client to detect subsequent retries of the same request. It is recommended that a UUID or a similar random identifier be used as an idempotency key. A different key must be used for each request, unless it is a retry.","in":"header","name":"Idempotency-Key","schema":{"example":"7d943c51-e4ff-4e57-9558-08cab6b963c7","type":"string","description":"An idempotency key is an arbitrary unique value generated by client to detect subsequent retries of the same request. It is recommended that a UUID or a similar random identifier be used as an idempotency key. A different key must be used for each request, unless it is a retry.","uniqueKey":"","typeLabel":"string"}},"90a0481b-8f44-44de-98fe-9830d6aa9a81":{"description":"Unique identifier for the account.","in":"path","name":"account_id","required":true,"schema":{"example":"57826c51-e4ff-4e57-9558-08cab6b963c7","format":"uuid","type":"string","isRequired":true,"description":"Unique identifier for the account.","uniqueKey":"","typeLabel":"string\u003cuuid>"}}},"requestBody":{"content":{"application/json":{"schema":{"oneOf":[{"type":"object","description":"Account representing either a checking or saving account.","properties":{"balance_ceiling":{"properties":{"balance":{"description":"Maximum balance in the account's currency. Unit in cents.","format":"int64","minimum":0,"type":"integer","isRequired":true,"uniqueKey":"oneOf.0.balance_ceiling.balance","typeLabel":"integer\u003cint64>"},"linked_account_id":{"description":"ID of linked backing account for just-in-time (JIT) funding of transactions to maintain the balance ceiling\n","format":"uuid","type":"string","uniqueKey":"oneOf.0.balance_ceiling.linked_account_id","typeLabel":"string\u003cuuid>"},"overflow_account_id":{"deprecated":true,"description":"ID of linked backing account for just-in-time (JIT) funding of transactions to maintain the balance ceiling\nThis attribute is a deprecated alias for linked_account_id.\n","format":"uuid","type":"string","uniqueKey":"oneOf.0.balance_ceiling.overflow_account_id","typeLabel":"string\u003cuuid>"}},"required":["balance"],"type":"object","uniqueKey":"oneOf.0.balance_ceiling","typeLabel":"object"},"balance_floor":{"properties":{"balance":{"description":"Minimum balance in the account's currency. Unit in cents.","format":"int64","type":"integer","isRequired":true,"uniqueKey":"oneOf.0.balance_floor.balance","typeLabel":"integer\u003cint64>"},"linked_account_id":{"description":"ID of linked backing account for just-in-time (JIT) funding of transactions to maintain the balance floor\n","format":"uuid","type":"string","uniqueKey":"oneOf.0.balance_floor.linked_account_id","typeLabel":"string\u003cuuid>"},"overdraft_account_id":{"deprecated":true,"description":"ID of linked backing account for just-in-time (JIT) funding of transactions to maintain the balance floor\nThis attribute is a deprecated alias for linked_account_id.\n","format":"uuid","type":"string","uniqueKey":"oneOf.0.balance_floor.overdraft_account_id","typeLabel":"string\u003cuuid>"}},"required":["balance"],"type":"object","uniqueKey":"oneOf.0.balance_floor","typeLabel":"object"},"fee_product_ids":{"oneOf":[{"description":"A list of fee account products that the current account associates with.","items":{"format":"uuid","type":"string","uniqueKey":"oneOf.0.fee_product_ids.oneOf.0.items.[INDEX]","typeLabel":"string\u003cuuid>"},"type":"array","uniqueKey":"oneOf.0.fee_product_ids.oneOf.0","typeLabel":"string\u003cuuid>[]"},{"description":"A list of fee account products that the current account associates with.","items":{"format":"uuid","type":"string"},"type":"null","uniqueKey":"oneOf.0.fee_product_ids.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.0.fee_product_ids","typeLabel":"string\u003cuuid>[] | null"},"interest_product_id":{"description":"An interest account product that the current account associates with.\n","format":"uuid","type":"string","uniqueKey":"oneOf.0.interest_product_id","typeLabel":"string\u003cuuid>"},"note":{"description":"Add an optional note when creating or updating an account. A note is required when updating the status to or from SUSPENDED","type":"string","writeOnly":true,"uniqueKey":"oneOf.0.note","typeLabel":"string"},"overdraft_limit":{"description":"Account's overdraft limit","format":"int64","minimum":0,"type":"integer","uniqueKey":"oneOf.0.overdraft_limit","typeLabel":"integer\u003cint64>"},"reward_product_ids":{"oneOf":[{"description":"A list of reward account products that the current account associates with.","items":{"format":"uuid","type":"string","uniqueKey":"oneOf.0.reward_product_ids.oneOf.0.items.[INDEX]","typeLabel":"string\u003cuuid>"},"type":"array","uniqueKey":"oneOf.0.reward_product_ids.oneOf.0","typeLabel":"string\u003cuuid>[]"},{"description":"A list of reward account products that the current account associates with.","items":{"format":"uuid","type":"string"},"type":"null","uniqueKey":"oneOf.0.reward_product_ids.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.0.reward_product_ids","typeLabel":"string\u003cuuid>[] | null"},"spend_control_ids":{"description":"List of spend control IDs to control spending for the account","items":{"example":"7d943c51-e4ff-4e57-9558-08cab6b963c7","format":"uuid","type":"string","uniqueKey":"oneOf.0.spend_control_ids.items.[INDEX]","typeLabel":"string\u003cuuid>"},"maxItems":100,"type":"array","uniqueKey":"oneOf.0.spend_control_ids","typeLabel":"string\u003cuuid>[]"},"spending_limits":{"deprecated":true,"description":"Account spending limits is unused and has been deprecated. Instead use the spend controls API.","properties":{"day":{"description":"Limit over a specific time period.","properties":{"amount":{"description":"Maximum amount allowed within the time range. Unit in cents.","format":"int64","minimum":0,"type":"integer","uniqueKey":"oneOf.0.spending_limits.day.amount","typeLabel":"integer\u003cint64>"},"transactions":{"description":"Maximum number of transactions allowed within the time range","format":"int64","minimum":0,"type":"integer","uniqueKey":"oneOf.0.spending_limits.day.transactions","typeLabel":"integer\u003cint64>"}},"type":"object","uniqueKey":"oneOf.0.spending_limits.day","typeLabel":"object"},"description":{"description":"User provided description on the spending limits","type":"string","uniqueKey":"oneOf.0.spending_limits.description","typeLabel":"string"},"lifetime":{"description":"Limit over a specific time period.","properties":{"amount":{"description":"Maximum amount allowed within the time range. Unit in cents.","format":"int64","minimum":0,"type":"integer","uniqueKey":"oneOf.0.spending_limits.lifetime.amount","typeLabel":"integer\u003cint64>"},"transactions":{"description":"Maximum number of transactions allowed within the time range","format":"int64","minimum":0,"type":"integer","uniqueKey":"oneOf.0.spending_limits.lifetime.transactions","typeLabel":"integer\u003cint64>"}},"type":"object","uniqueKey":"oneOf.0.spending_limits.lifetime","typeLabel":"object"},"month":{"description":"Limit over a specific time period.","properties":{"amount":{"description":"Maximum amount allowed within the time range. Unit in cents.","format":"int64","minimum":0,"type":"integer","uniqueKey":"oneOf.0.spending_limits.month.amount","typeLabel":"integer\u003cint64>"},"transactions":{"description":"Maximum number of transactions allowed within the time range","format":"int64","minimum":0,"type":"integer","uniqueKey":"oneOf.0.spending_limits.month.transactions","typeLabel":"integer\u003cint64>"}},"type":"object","uniqueKey":"oneOf.0.spending_limits.month","typeLabel":"object"},"transaction":{"description":"Individual transaction limit","properties":{"amount":{"description":"Maximum amount allowed. Unit in cents.","format":"int64","minimum":0,"type":"integer","uniqueKey":"oneOf.0.spending_limits.transaction.amount","typeLabel":"integer\u003cint64>"}},"type":"object","uniqueKey":"oneOf.0.spending_limits.transaction","typeLabel":"object"},"week":{"description":"Limit over a specific time period.","properties":{"amount":{"description":"Maximum amount allowed within the time range. Unit in cents.","format":"int64","minimum":0,"type":"integer","uniqueKey":"oneOf.0.spending_limits.week.amount","typeLabel":"integer\u003cint64>"},"transactions":{"description":"Maximum number of transactions allowed within the time range","format":"int64","minimum":0,"type":"integer","uniqueKey":"oneOf.0.spending_limits.week.transactions","typeLabel":"integer\u003cint64>"}},"type":"object","uniqueKey":"oneOf.0.spending_limits.week","typeLabel":"object"}},"type":"object","uniqueKey":"oneOf.0.spending_limits","typeLabel":"object"},"is_ach_credit_enabled":{"description":"A flag to indicate whether ACH credits are enabled. Both is_ach_enabled and is_ach_credit_enabled must be true for an ACH credit to be allowed.","type":"boolean","uniqueKey":"oneOf.0.is_ach_credit_enabled","typeLabel":"boolean"},"is_ach_debit_enabled":{"description":"A flag to indicate whether ACH debits are enabled. Both is_ach_enabled and is_ach_debit_enabled must be true for an ACH debit to be allowed.","type":"boolean","uniqueKey":"oneOf.0.is_ach_debit_enabled","typeLabel":"boolean"},"is_ach_enabled":{"description":"A flag to indicate whether ACH transactions are enabled.","type":"boolean","uniqueKey":"oneOf.0.is_ach_enabled","typeLabel":"boolean"},"is_card_credit_enabled":{"description":"A flag to indicate whether card credits are enabled. Both is_card_enabled and is_card_credit_enabled must be true for a card credit to be allowed.","type":"boolean","uniqueKey":"oneOf.0.is_card_credit_enabled","typeLabel":"boolean"},"is_card_debit_enabled":{"description":"A flag to indicate whether card debits are enabled. Both is_card_enabled and is_card_debit_enabled must be true for a card debit to be allowed.","type":"boolean","uniqueKey":"oneOf.0.is_card_debit_enabled","typeLabel":"boolean"},"is_card_enabled":{"description":"A flag to indicate whether card transactions are enabled.","type":"boolean","uniqueKey":"oneOf.0.is_card_enabled","typeLabel":"boolean"},"is_cash_credit_enabled":{"description":"A flag to indicate whether cash credits are enabled. Both is_cash_enabled and is_cash_credit_enabled must be true for a cash credit to be allowed.","type":"boolean","uniqueKey":"oneOf.0.is_cash_credit_enabled","typeLabel":"boolean"},"is_cash_debit_enabled":{"description":"A flag to indicate whether cash debits are enabled. Both is_cash_enabled and is_cash_debit_enabled must be true for a cash debit to be allowed.","type":"boolean","uniqueKey":"oneOf.0.is_cash_debit_enabled","typeLabel":"boolean"},"is_cash_enabled":{"description":"A flag to indicate whether cash transactions are enabled.","type":"boolean","uniqueKey":"oneOf.0.is_cash_enabled","typeLabel":"boolean"},"is_check_credit_enabled":{"description":"A flag to indicate whether check credits are enabled. Both is_check_enabled and is_check_credit_enabled must be true for a check credit to be allowed.","type":"boolean","uniqueKey":"oneOf.0.is_check_credit_enabled","typeLabel":"boolean"},"is_check_debit_enabled":{"description":"A flag to indicate whether check debits are enabled. Both is_check_enabled and is_check_debit_enabled must be true for a check debit to be allowed.","type":"boolean","uniqueKey":"oneOf.0.is_check_debit_enabled","typeLabel":"boolean"},"is_check_enabled":{"description":"A flag to indicate whether check transactions are enabled.","type":"boolean","uniqueKey":"oneOf.0.is_check_enabled","typeLabel":"boolean"},"is_eft_ca_credit_enabled":{"description":"A flag to indicate whether EFT Canada credits are enabled. Both is_eft_ca_enabled and is_eft_ca_credit_enabled must be true for an EFT Canada credit to be allowed.","type":"boolean","uniqueKey":"oneOf.0.is_eft_ca_credit_enabled","typeLabel":"boolean"},"is_eft_ca_debit_enabled":{"description":"A flag to indicate whether EFT Canada debits are enabled. Both is_eft_ca_enabled and is_eft_ca_debit_enabled must be true for an EFT Canada debit to be allowed.","type":"boolean","uniqueKey":"oneOf.0.is_eft_ca_debit_enabled","typeLabel":"boolean"},"is_eft_ca_enabled":{"description":"A flag to indicate whether EFT Canada transactions are enabled.","type":"boolean","uniqueKey":"oneOf.0.is_eft_ca_enabled","typeLabel":"boolean"},"is_external_card_credit_enabled":{"description":"A flag to indicate whether external card credits are enabled. Both is_external_card_enabled and is_external_card_credit_enabled must be true for an external card credit to be allowed.","type":"boolean","uniqueKey":"oneOf.0.is_external_card_credit_enabled","typeLabel":"boolean"},"is_external_card_debit_enabled":{"description":"A flag to indicate whether external card debits are enabled. Both is_external_card_enabled and is_external_card_debit_enabled must be true for an external card debit to be allowed.","type":"boolean","uniqueKey":"oneOf.0.is_external_card_debit_enabled","typeLabel":"boolean"},"is_external_card_enabled":{"description":"A flag to indicate whether external card transactions are enabled.","type":"boolean","uniqueKey":"oneOf.0.is_external_card_enabled","typeLabel":"boolean"},"is_fednow_credit_enabled":{"description":"A flag to indicate whether FedNow credits are enabled. Both is_fednow_enabled and is_fednow_credit_enabled must be true for a FedNow credit to be allowed.","type":"boolean","uniqueKey":"oneOf.0.is_fednow_credit_enabled","typeLabel":"boolean"},"is_fednow_debit_enabled":{"description":"A flag to indicate whether FedNow debits are enabled. Both is_fednow_enabled and is_fednow_debit_enabled must be true for a FedNow debit to be allowed.","type":"boolean","uniqueKey":"oneOf.0.is_fednow_debit_enabled","typeLabel":"boolean"},"is_fednow_enabled":{"description":"A flag to indicate whether FedNow transactions are enabled.","type":"boolean","uniqueKey":"oneOf.0.is_fednow_enabled","typeLabel":"boolean"},"is_p2p_enabled":{"description":"A flag to indicate whether P2P transactions are enabled.","type":"boolean","uniqueKey":"oneOf.0.is_p2p_enabled","typeLabel":"boolean"},"is_synctera_pay_credit_enabled":{"description":"A flag to indicate whether Synctera Pay credits are enabled. Both is_synctera_pay_enabled and is_synctera_pay_credit_enabled must be true for a Synctera Pay credit to be allowed.","type":"boolean","uniqueKey":"oneOf.0.is_synctera_pay_credit_enabled","typeLabel":"boolean"},"is_synctera_pay_debit_enabled":{"description":"A flag to indicate whether Synctera Pay debits are enabled. Both is_synctera_pay_enabled and is_synctera_pay_debit_enabled must be true for a Synctera Pay debit to be allowed.","type":"boolean","uniqueKey":"oneOf.0.is_synctera_pay_debit_enabled","typeLabel":"boolean"},"is_synctera_pay_enabled":{"description":"A flag to indicate whether Synctera Pay transactions are enabled.","type":"boolean","uniqueKey":"oneOf.0.is_synctera_pay_enabled","typeLabel":"boolean"},"is_wire_credit_enabled":{"description":"A flag to indicate whether wire credits are enabled. Both is_wire_enabled and is_wire_credit_enabled must be true for a wire credit to be allowed.","type":"boolean","uniqueKey":"oneOf.0.is_wire_credit_enabled","typeLabel":"boolean"},"is_wire_debit_enabled":{"description":"A flag to indicate whether wire debits are enabled. Both is_wire_enabled and is_wire_debit_enabled must be true for a wire debit to be allowed.","type":"boolean","uniqueKey":"oneOf.0.is_wire_debit_enabled","typeLabel":"boolean"},"is_wire_enabled":{"description":"A flag to indicate whether wire transactions are enabled.","type":"boolean","uniqueKey":"oneOf.0.is_wire_enabled","typeLabel":"boolean"},"access_status":{"description":"Represents whether a customer has frozen their account. `FROZEN` is a customer-initiated state meaning that the account will reject all debits, typically used for a lost or stolen card.","enum":["ACTIVE","FROZEN"],"type":"string","uniqueKey":"oneOf.0.access_status","typeLabel":"enum\u003cstring>"},"account_program_id":{"format":"uuid","type":"string","x-go-type":"openapi_types.UUID","uniqueKey":"oneOf.0.account_program_id","typeLabel":"string\u003cuuid>"},"account_purpose":{"description":"Purpose of the account","example":"This account for the account holder's salary deposit.","type":"string","uniqueKey":"oneOf.0.account_purpose","typeLabel":"string"},"account_title":{"description":"Legal account title (e.g. for trust or escrow accounts). Set at account creation and immutable thereafter; attempts to change it after creation are rejected. May be required for certain account structures such as trust accounts.","type":"string","uniqueKey":"oneOf.0.account_title","typeLabel":"string"},"account_type":{"description":"The type of the account. In lead mode, this always takes the value of the template. If not\nspecified in shadow mode, CHECKING will be assumed. Below mentioned are the account types:\n* SAVING: Savings account\n* CHECKING: Checking account\n* PREPAID: Prepaid account\n* LINE_OF_CREDIT: Line of Credit account\n* CREDIT_CARD: Credit Card account\n* CHARGE_SECURED: Secured Charge account, e.g. for use in a Smart Charge Card offering\n* CHARGE_UNSECURED: (alpha) Unsecured Charge account\n* REVOLVING_CREDIT_SECURED: Secured Revolving Credit account\n* REVOLVING_CREDIT_UNSECURED: Unsecured Revolving Credit account\n* GENERAL_LEDGER: General Ledger account (alpha - cannot yet be created). In production, these can only be created or updated by a Synctera administrator.\n","enum":["CHARGE_SECURED","CHARGE_UNSECURED","CHECKING","CREDIT_CARD","GENERAL_LEDGER","LINE_OF_CREDIT","PREPAID","REVOLVING_CREDIT_SECURED","REVOLVING_CREDIT_UNSECURED","SAVING"],"title":"Account Type","type":"string","uniqueKey":"oneOf.0.account_type","typeLabel":"enum\u003cstring>"},"application_id":{"description":"The application ID for this account.\n","format":"uuid","type":"string","uniqueKey":"oneOf.0.application_id","typeLabel":"string\u003cuuid>"},"billing_period":{"description":"The scheme for determining an account's billing period.\n","properties":{"frequency":{"description":"The frequency of billing cycles. Along with the start date, this will determine the start and end of each cycle.\n","enum":["ANNUALLY","BI_WEEKLY","DAILY","MONTHLY","SEMI_MONTHLY","WEEKLY"],"type":"string","isRequired":true,"uniqueKey":"oneOf.0.billing_period.frequency","typeLabel":"enum\u003cstring>"},"start_date":{"description":"The first day of the first billing cycle for this account. For a monthly billing cycle, the day of the month anchors every subsequent cycle: a start date of 2022-01-15 bills the 15th to the 14th. A monthly cycle must start between the 1st and the 28th, so that every month contains the start day. Weekly and bi-weekly cycles anchor on the weekday, annual cycles on the month and day. SEMI_MONTHLY always bills the 1st to the 15th and the 16th to the end of the month, and so must start on the 1st.\n\nCannot be changed once the account is created, because the billing cycles derived from it have already been closed and paid out.\n\nNote that, although this is returned as a UTC timestamp, the date always corresponds to the bank's calendar, and therefore the time and timezone should be ignored.\n","example":"2022-01-01T00:00:00Z","format":"date-time","type":"string","isRequired":true,"uniqueKey":"oneOf.0.billing_period.start_date","typeLabel":"string\u003cdate-time>"}},"required":["frequency","start_date"],"type":"object","uniqueKey":"oneOf.0.billing_period","typeLabel":"object"},"currency":{"description":"Account currency or account settlement currency. ISO 4217 alphabetic currency code. Default USD","example":"USD","pattern":"^[A-Z]{3}$","type":"string","uniqueKey":"oneOf.0.currency","typeLabel":"string"},"exchange_rate_type":{"description":"Exchange rate type","example":"M, INTERBANK, CUST","maxLength":10,"type":"string","uniqueKey":"oneOf.0.exchange_rate_type","typeLabel":"string"},"iban":{"description":"International bank account number","maxLength":34,"type":"string","uniqueKey":"oneOf.0.iban","typeLabel":"string"},"is_account_pool":{"description":"Account is investment (variable balance) account or a multi-balance account pool. Default false","type":"boolean","uniqueKey":"oneOf.0.is_account_pool","typeLabel":"boolean"},"is_custodial":{"description":"Indicates the account is a custodial account. Set at creation and immutable thereafter. An account may be flagged as any combination of custodial, trust, and escrow. account_title is required when this is set on account creation.","type":"boolean","uniqueKey":"oneOf.0.is_custodial","typeLabel":"boolean"},"is_escrow":{"description":"Indicates the account is an escrow account. Set at creation and immutable thereafter. An account may be flagged as any combination of custodial, trust, and escrow. account_title is required when this is set on account creation.","type":"boolean","uniqueKey":"oneOf.0.is_escrow","typeLabel":"boolean"},"is_trust":{"description":"Indicates the account is a trust account. Set at creation and immutable thereafter. An account may be flagged as any combination of custodial, trust, and escrow. account_title is required when this is set on account creation.","type":"boolean","uniqueKey":"oneOf.0.is_trust","typeLabel":"boolean"},"metadata":{"description":"User provided account metadata","type":"object","uniqueKey":"oneOf.0.metadata","typeLabel":"object"},"nickname":{"description":"User provided account nickname","type":"string","uniqueKey":"oneOf.0.nickname","typeLabel":"string"},"status":{"description":"The status of the account.\n\n| Status | Description | Transactable |\n|------|-----------|-----|\n| ACCOUNT_NEVER_ACTIVE | Account was never activated by the customer | N |\n| ACCOUNT_NOT_DESIRED | A credit account was created for a customer, but the customer did not accept the account | N |\n| ACTIVATED_NOT_DISBURSED | A credit account was created for the customer, but the funds have not been paid out or used | N |\n| ACTIVE_OR_DISBURSED | The account is active and transactable | Y |\n| APPLICATION_SUBMITTED | Deprecated status | N |\n| AWAITING_FIXING | Account is awaiting fixing | N |\n| CHARGED_OFF | The account has been charged off and is closed | N |\n| CLOSED | Accounts must be zeroed out before being closed. Closed accounts cannot transact | N |\n| DELINQUENT | Synctera will update a credit account to delinquent if the customer has not paid within their expected billing cycle | N |\n| FAILED_KYC | We were unable to verify the identity of the account holder: they have not passed know-your-customer (KYC) checks | N |\n| IN_CLOSING | The account is in the process of being closed. An account with the IN_CLOSING status may only be updated to CLOSED. Updates to other statuses are prohibited. | N |\n| RESTRICTED | Synctera will update accounts to restricted of the account holder has not successfully passed KYC | N |\n| SUSPENDED | Account has been suspected of fraudulent activity and is blocked from further transactions | N |\n","enum":["ACCOUNT_NEVER_ACTIVE","ACCOUNT_NOT_DESIRED","ACTIVATED_NOT_DISBURSED","ACTIVE_OR_DISBURSED","APPLICATION_SUBMITTED","AWAITING_FIXING","CHARGED_OFF","CLOSED","DELINQUENT","FAILED_KYC","IN_CLOSING","RESTRICTED","SUSPENDED"],"title":"Account Status","type":"string","uniqueKey":"oneOf.0.status","typeLabel":"enum\u003cstring>"},"swift_code":{"description":"SWIFT code","maxLength":11,"minLength":8,"type":"string","uniqueKey":"oneOf.0.swift_code","typeLabel":"string"}},"uniqueKey":"oneOf.0","typeLabel":"object"},{"type":"object","description":"Rails available to enable on charged secured accounts","properties":{"is_ach_credit_enabled":{"description":"A flag to indicate whether ACH credits are enabled. Both is_ach_enabled and is_ach_credit_enabled must be true for an ACH credit to be allowed.","type":"boolean","uniqueKey":"oneOf.1.is_ach_credit_enabled","typeLabel":"boolean"},"is_ach_debit_enabled":{"description":"A flag to indicate whether ACH debits are enabled. Both is_ach_enabled and is_ach_debit_enabled must be true for an ACH debit to be allowed.","type":"boolean","uniqueKey":"oneOf.1.is_ach_debit_enabled","typeLabel":"boolean"},"is_ach_enabled":{"description":"A flag to indicate whether ACH transactions are enabled.","type":"boolean","uniqueKey":"oneOf.1.is_ach_enabled","typeLabel":"boolean"},"is_card_credit_enabled":{"description":"A flag to indicate whether card credits are enabled. Both is_card_enabled and is_card_credit_enabled must be true for a card credit to be allowed.","type":"boolean","uniqueKey":"oneOf.1.is_card_credit_enabled","typeLabel":"boolean"},"is_card_debit_enabled":{"description":"A flag to indicate whether card debits are enabled. Both is_card_enabled and is_card_debit_enabled must be true for a card debit to be allowed.","type":"boolean","uniqueKey":"oneOf.1.is_card_debit_enabled","typeLabel":"boolean"},"is_card_enabled":{"description":"A flag to indicate whether card transactions are enabled.","type":"boolean","uniqueKey":"oneOf.1.is_card_enabled","typeLabel":"boolean"},"is_cash_credit_enabled":{"description":"A flag to indicate whether cash credits are enabled. Both is_cash_enabled and is_cash_credit_enabled must be true for a cash credit to be allowed.","type":"boolean","uniqueKey":"oneOf.1.is_cash_credit_enabled","typeLabel":"boolean"},"is_cash_debit_enabled":{"description":"A flag to indicate whether cash debits are enabled. Both is_cash_enabled and is_cash_debit_enabled must be true for a cash debit to be allowed.","type":"boolean","uniqueKey":"oneOf.1.is_cash_debit_enabled","typeLabel":"boolean"},"is_cash_enabled":{"description":"A flag to indicate whether cash transactions are enabled.","type":"boolean","uniqueKey":"oneOf.1.is_cash_enabled","typeLabel":"boolean"},"is_check_credit_enabled":{"description":"A flag to indicate whether check credits are enabled. Both is_check_enabled and is_check_credit_enabled must be true for a check credit to be allowed.","type":"boolean","uniqueKey":"oneOf.1.is_check_credit_enabled","typeLabel":"boolean"},"is_check_debit_enabled":{"description":"A flag to indicate whether check debits are enabled. Both is_check_enabled and is_check_debit_enabled must be true for a check debit to be allowed.","type":"boolean","uniqueKey":"oneOf.1.is_check_debit_enabled","typeLabel":"boolean"},"is_check_enabled":{"description":"A flag to indicate whether check transactions are enabled.","type":"boolean","uniqueKey":"oneOf.1.is_check_enabled","typeLabel":"boolean"},"is_eft_ca_credit_enabled":{"description":"A flag to indicate whether EFT Canada credits are enabled. Both is_eft_ca_enabled and is_eft_ca_credit_enabled must be true for an EFT Canada credit to be allowed.","type":"boolean","uniqueKey":"oneOf.1.is_eft_ca_credit_enabled","typeLabel":"boolean"},"is_eft_ca_debit_enabled":{"description":"A flag to indicate whether EFT Canada debits are enabled. Both is_eft_ca_enabled and is_eft_ca_debit_enabled must be true for an EFT Canada debit to be allowed.","type":"boolean","uniqueKey":"oneOf.1.is_eft_ca_debit_enabled","typeLabel":"boolean"},"is_eft_ca_enabled":{"description":"A flag to indicate whether EFT Canada transactions are enabled.","type":"boolean","uniqueKey":"oneOf.1.is_eft_ca_enabled","typeLabel":"boolean"},"is_fednow_credit_enabled":{"description":"A flag to indicate whether FedNow credits are enabled. Both is_fednow_enabled and is_fednow_credit_enabled must be true for a FedNow credit to be allowed.","type":"boolean","uniqueKey":"oneOf.1.is_fednow_credit_enabled","typeLabel":"boolean"},"is_fednow_debit_enabled":{"description":"A flag to indicate whether FedNow debits are enabled. Both is_fednow_enabled and is_fednow_debit_enabled must be true for a FedNow debit to be allowed.","type":"boolean","uniqueKey":"oneOf.1.is_fednow_debit_enabled","typeLabel":"boolean"},"is_fednow_enabled":{"description":"A flag to indicate whether FedNow transactions are enabled.","type":"boolean","uniqueKey":"oneOf.1.is_fednow_enabled","typeLabel":"boolean"},"is_p2p_enabled":{"description":"A flag to indicate whether P2P transactions are enabled.","type":"boolean","uniqueKey":"oneOf.1.is_p2p_enabled","typeLabel":"boolean"},"is_synctera_pay_credit_enabled":{"description":"A flag to indicate whether Synctera Pay credits are enabled. Both is_synctera_pay_enabled and is_synctera_pay_credit_enabled must be true for a Synctera Pay credit to be allowed.","type":"boolean","uniqueKey":"oneOf.1.is_synctera_pay_credit_enabled","typeLabel":"boolean"},"is_synctera_pay_debit_enabled":{"description":"A flag to indicate whether Synctera Pay debits are enabled. Both is_synctera_pay_enabled and is_synctera_pay_debit_enabled must be true for a Synctera Pay debit to be allowed.","type":"boolean","uniqueKey":"oneOf.1.is_synctera_pay_debit_enabled","typeLabel":"boolean"},"is_synctera_pay_enabled":{"description":"A flag to indicate whether Synctera Pay transactions are enabled.","type":"boolean","uniqueKey":"oneOf.1.is_synctera_pay_enabled","typeLabel":"boolean"},"is_wire_credit_enabled":{"description":"A flag to indicate whether wire credits are enabled. Both is_wire_enabled and is_wire_credit_enabled must be true for a wire credit to be allowed.","type":"boolean","uniqueKey":"oneOf.1.is_wire_credit_enabled","typeLabel":"boolean"},"is_wire_debit_enabled":{"description":"A flag to indicate whether wire debits are enabled. Both is_wire_enabled and is_wire_debit_enabled must be true for a wire debit to be allowed.","type":"boolean","uniqueKey":"oneOf.1.is_wire_debit_enabled","typeLabel":"boolean"},"is_wire_enabled":{"description":"A flag to indicate whether wire transactions are enabled.","type":"boolean","uniqueKey":"oneOf.1.is_wire_enabled","typeLabel":"boolean"},"auto_payment_period":{"description":"The number of days past the billing period to initiate an auto payment. Only applicable for accounts with type `CHARGE_SECURED`, where the account holder has opted in for auto payment functionality. This value must be lower than or equal to the `grace_period` setting on the account. If this value is 0, the auto payment will happen on the same day as the statement is generated. Auto payment only occurs if regular payments are not received on time.\n","example":20,"maximum":28,"minimum":0,"type":"integer","uniqueKey":"oneOf.1.auto_payment_period","typeLabel":"integer"},"fee_product_ids":{"oneOf":[{"description":"A list of fee account products that the current account associates with.","items":{"format":"uuid","type":"string","uniqueKey":"oneOf.1.fee_product_ids.oneOf.0.items.[INDEX]","typeLabel":"string\u003cuuid>"},"type":"array","uniqueKey":"oneOf.1.fee_product_ids.oneOf.0","typeLabel":"string\u003cuuid>[]"},{"description":"A list of fee account products that the current account associates with.","items":{"format":"uuid","type":"string"},"type":"null","uniqueKey":"oneOf.1.fee_product_ids.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.1.fee_product_ids","typeLabel":"string\u003cuuid>[] | null"},"is_system_auto_pay_enabled":{"description":"A flag to indicate whether auto payments are enabled.","type":"boolean","uniqueKey":"oneOf.1.is_system_auto_pay_enabled","typeLabel":"boolean"},"note":{"description":"Add an optional note when patching a charged secured account. A note is required when setting the status to or from SUSPENDED.","type":"string","writeOnly":true,"uniqueKey":"oneOf.1.note","typeLabel":"string"},"reward_product_ids":{"oneOf":[{"description":"A list of reward account products that the current account associates with.","items":{"format":"uuid","type":"string","uniqueKey":"oneOf.1.reward_product_ids.oneOf.0.items.[INDEX]","typeLabel":"string\u003cuuid>"},"type":"array","uniqueKey":"oneOf.1.reward_product_ids.oneOf.0","typeLabel":"string\u003cuuid>[]"},{"description":"A list of reward account products that the current account associates with.","items":{"format":"uuid","type":"string"},"type":"null","uniqueKey":"oneOf.1.reward_product_ids.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.1.reward_product_ids","typeLabel":"string\u003cuuid>[] | null"},"spend_control_ids":{"description":"List of spend control IDs to control spending for the account","items":{"example":"7d943c51-e4ff-4e57-9558-08cab6b963c7","format":"uuid","type":"string","uniqueKey":"oneOf.1.spend_control_ids.items.[INDEX]","typeLabel":"string\u003cuuid>"},"maxItems":100,"type":"array","uniqueKey":"oneOf.1.spend_control_ids","typeLabel":"string\u003cuuid>[]"},"access_status":{"description":"Represents whether a customer has frozen their account. `FROZEN` is a customer-initiated state meaning that the account will reject all debits, typically used for a lost or stolen card.","enum":["ACTIVE","FROZEN"],"type":"string","uniqueKey":"oneOf.1.access_status","typeLabel":"enum\u003cstring>"},"account_program_id":{"format":"uuid","type":"string","x-go-type":"openapi_types.UUID","uniqueKey":"oneOf.1.account_program_id","typeLabel":"string\u003cuuid>"},"account_purpose":{"description":"Purpose of the account","example":"This account for the account holder's salary deposit.","type":"string","uniqueKey":"oneOf.1.account_purpose","typeLabel":"string"},"account_title":{"description":"Legal account title (e.g. for trust or escrow accounts). Set at account creation and immutable thereafter; attempts to change it after creation are rejected. May be required for certain account structures such as trust accounts.","type":"string","uniqueKey":"oneOf.1.account_title","typeLabel":"string"},"account_type":{"description":"The type of the account. In lead mode, this always takes the value of the template. If not\nspecified in shadow mode, CHECKING will be assumed. Below mentioned are the account types:\n* SAVING: Savings account\n* CHECKING: Checking account\n* PREPAID: Prepaid account\n* LINE_OF_CREDIT: Line of Credit account\n* CREDIT_CARD: Credit Card account\n* CHARGE_SECURED: Secured Charge account, e.g. for use in a Smart Charge Card offering\n* CHARGE_UNSECURED: (alpha) Unsecured Charge account\n* REVOLVING_CREDIT_SECURED: Secured Revolving Credit account\n* REVOLVING_CREDIT_UNSECURED: Unsecured Revolving Credit account\n* GENERAL_LEDGER: General Ledger account (alpha - cannot yet be created). In production, these can only be created or updated by a Synctera administrator.\n","enum":["CHARGE_SECURED","CHARGE_UNSECURED","CHECKING","CREDIT_CARD","GENERAL_LEDGER","LINE_OF_CREDIT","PREPAID","REVOLVING_CREDIT_SECURED","REVOLVING_CREDIT_UNSECURED","SAVING"],"title":"Account Type","type":"string","uniqueKey":"oneOf.1.account_type","typeLabel":"enum\u003cstring>"},"application_id":{"description":"The application ID for this account.\n","format":"uuid","type":"string","uniqueKey":"oneOf.1.application_id","typeLabel":"string\u003cuuid>"},"billing_period":{"description":"The scheme for determining an account's billing period.\n","properties":{"frequency":{"description":"The frequency of billing cycles. Along with the start date, this will determine the start and end of each cycle.\n","enum":["ANNUALLY","BI_WEEKLY","DAILY","MONTHLY","SEMI_MONTHLY","WEEKLY"],"type":"string","isRequired":true,"uniqueKey":"oneOf.1.billing_period.frequency","typeLabel":"enum\u003cstring>"},"start_date":{"description":"The first day of the first billing cycle for this account. For a monthly billing cycle, the day of the month anchors every subsequent cycle: a start date of 2022-01-15 bills the 15th to the 14th. A monthly cycle must start between the 1st and the 28th, so that every month contains the start day. Weekly and bi-weekly cycles anchor on the weekday, annual cycles on the month and day. SEMI_MONTHLY always bills the 1st to the 15th and the 16th to the end of the month, and so must start on the 1st.\n\nCannot be changed once the account is created, because the billing cycles derived from it have already been closed and paid out.\n\nNote that, although this is returned as a UTC timestamp, the date always corresponds to the bank's calendar, and therefore the time and timezone should be ignored.\n","example":"2022-01-01T00:00:00Z","format":"date-time","type":"string","isRequired":true,"uniqueKey":"oneOf.1.billing_period.start_date","typeLabel":"string\u003cdate-time>"}},"required":["frequency","start_date"],"type":"object","uniqueKey":"oneOf.1.billing_period","typeLabel":"object"},"currency":{"description":"Account currency or account settlement currency. ISO 4217 alphabetic currency code. Default USD","example":"USD","pattern":"^[A-Z]{3}$","type":"string","uniqueKey":"oneOf.1.currency","typeLabel":"string"},"exchange_rate_type":{"description":"Exchange rate type","example":"M, INTERBANK, CUST","maxLength":10,"type":"string","uniqueKey":"oneOf.1.exchange_rate_type","typeLabel":"string"},"iban":{"description":"International bank account number","maxLength":34,"type":"string","uniqueKey":"oneOf.1.iban","typeLabel":"string"},"is_account_pool":{"description":"Account is investment (variable balance) account or a multi-balance account pool. Default false","type":"boolean","uniqueKey":"oneOf.1.is_account_pool","typeLabel":"boolean"},"is_custodial":{"description":"Indicates the account is a custodial account. Set at creation and immutable thereafter. An account may be flagged as any combination of custodial, trust, and escrow. account_title is required when this is set on account creation.","type":"boolean","uniqueKey":"oneOf.1.is_custodial","typeLabel":"boolean"},"is_escrow":{"description":"Indicates the account is an escrow account. Set at creation and immutable thereafter. An account may be flagged as any combination of custodial, trust, and escrow. account_title is required when this is set on account creation.","type":"boolean","uniqueKey":"oneOf.1.is_escrow","typeLabel":"boolean"},"is_trust":{"description":"Indicates the account is a trust account. Set at creation and immutable thereafter. An account may be flagged as any combination of custodial, trust, and escrow. account_title is required when this is set on account creation.","type":"boolean","uniqueKey":"oneOf.1.is_trust","typeLabel":"boolean"},"metadata":{"description":"User provided account metadata","type":"object","uniqueKey":"oneOf.1.metadata","typeLabel":"object"},"nickname":{"description":"User provided account nickname","type":"string","uniqueKey":"oneOf.1.nickname","typeLabel":"string"},"status":{"description":"The status of the account.\n\n| Status | Description | Transactable |\n|------|-----------|-----|\n| ACCOUNT_NEVER_ACTIVE | Account was never activated by the customer | N |\n| ACCOUNT_NOT_DESIRED | A credit account was created for a customer, but the customer did not accept the account | N |\n| ACTIVATED_NOT_DISBURSED | A credit account was created for the customer, but the funds have not been paid out or used | N |\n| ACTIVE_OR_DISBURSED | The account is active and transactable | Y |\n| APPLICATION_SUBMITTED | Deprecated status | N |\n| AWAITING_FIXING | Account is awaiting fixing | N |\n| CHARGED_OFF | The account has been charged off and is closed | N |\n| CLOSED | Accounts must be zeroed out before being closed. Closed accounts cannot transact | N |\n| DELINQUENT | Synctera will update a credit account to delinquent if the customer has not paid within their expected billing cycle | N |\n| FAILED_KYC | We were unable to verify the identity of the account holder: they have not passed know-your-customer (KYC) checks | N |\n| IN_CLOSING | The account is in the process of being closed. An account with the IN_CLOSING status may only be updated to CLOSED. Updates to other statuses are prohibited. | N |\n| RESTRICTED | Synctera will update accounts to restricted of the account holder has not successfully passed KYC | N |\n| SUSPENDED | Account has been suspected of fraudulent activity and is blocked from further transactions | N |\n","enum":["ACCOUNT_NEVER_ACTIVE","ACCOUNT_NOT_DESIRED","ACTIVATED_NOT_DISBURSED","ACTIVE_OR_DISBURSED","APPLICATION_SUBMITTED","AWAITING_FIXING","CHARGED_OFF","CLOSED","DELINQUENT","FAILED_KYC","IN_CLOSING","RESTRICTED","SUSPENDED"],"title":"Account Status","type":"string","uniqueKey":"oneOf.1.status","typeLabel":"enum\u003cstring>"},"swift_code":{"description":"SWIFT code","maxLength":11,"minLength":8,"type":"string","uniqueKey":"oneOf.1.swift_code","typeLabel":"string"}},"uniqueKey":"oneOf.1","typeLabel":"object"},{"type":"object","description":"Rails available to enable on revolving credit unsecured accounts","properties":{"credit_limit":{"description":"The credit limit for this revolving credit unsecured account in cents. Minimum is 0.\n","example":2500,"format":"int64","minimum":0,"type":"integer","uniqueKey":"oneOf.2.credit_limit","typeLabel":"integer\u003cint64>"},"fee_product_ids":{"oneOf":[{"description":"A list of fee account products that the current account associates with.","items":{"format":"uuid","type":"string","uniqueKey":"oneOf.2.fee_product_ids.oneOf.0.items.[INDEX]","typeLabel":"string\u003cuuid>"},"type":"array","uniqueKey":"oneOf.2.fee_product_ids.oneOf.0","typeLabel":"string\u003cuuid>[]"},{"description":"A list of fee account products that the current account associates with.","items":{"format":"uuid","type":"string"},"type":"null","uniqueKey":"oneOf.2.fee_product_ids.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.2.fee_product_ids","typeLabel":"string\u003cuuid>[] | null"},"note":{"description":"Add an optional note when patching a revolving credit unsecured account. A note is required when setting the status to or from SUSPENDED.","type":"string","writeOnly":true,"uniqueKey":"oneOf.2.note","typeLabel":"string"},"reward_product_ids":{"oneOf":[{"description":"A list of reward account products that the current account associates with.","items":{"format":"uuid","type":"string","uniqueKey":"oneOf.2.reward_product_ids.oneOf.0.items.[INDEX]","typeLabel":"string\u003cuuid>"},"type":"array","uniqueKey":"oneOf.2.reward_product_ids.oneOf.0","typeLabel":"string\u003cuuid>[]"},{"description":"A list of reward account products that the current account associates with.","items":{"format":"uuid","type":"string"},"type":"null","uniqueKey":"oneOf.2.reward_product_ids.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.2.reward_product_ids","typeLabel":"string\u003cuuid>[] | null"},"spend_control_ids":{"description":"List of spend control IDs to control spending for the account","items":{"example":"7d943c51-e4ff-4e57-9558-08cab6b963c7","format":"uuid","type":"string","uniqueKey":"oneOf.2.spend_control_ids.items.[INDEX]","typeLabel":"string\u003cuuid>"},"maxItems":100,"type":"array","uniqueKey":"oneOf.2.spend_control_ids","typeLabel":"string\u003cuuid>[]"},"vendor_info":{"description":"Vendor information for external account management systems","properties":{"vendor_data":{"description":"Vendor-specific data","properties":{"loanpro":{"type":"object","description":"LoanPro-specific vendor data for account\n","properties":{"cash_advance_bucket_id":{"description":"LoanPro cash advance bucket ID","example":67890,"format":"int64","type":"integer","uniqueKey":"oneOf.2.vendor_info.vendor_data.loanpro.cash_advance_bucket_id","typeLabel":"integer\u003cint64>"},"loc_id":{"description":"LoanPro line of credit account ID","example":12345,"format":"int64","type":"integer","uniqueKey":"oneOf.2.vendor_info.vendor_data.loanpro.loc_id","typeLabel":"integer\u003cint64>"},"loc_product_id":{"description":"LoanPro line of credit product ID","example":67890,"format":"int64","type":"integer","uniqueKey":"oneOf.2.vendor_info.vendor_data.loanpro.loc_product_id","typeLabel":"integer\u003cint64>"},"purchases_bucket_id":{"description":"LoanPro purchases bucket ID","example":12345,"format":"int64","type":"integer","uniqueKey":"oneOf.2.vendor_info.vendor_data.loanpro.purchases_bucket_id","typeLabel":"integer\u003cint64>"},"tenant_id":{"description":"LoanPro tenant ID","example":"1","type":"string","uniqueKey":"oneOf.2.vendor_info.vendor_data.loanpro.tenant_id","typeLabel":"string"}},"uniqueKey":"oneOf.2.vendor_info.vendor_data.loanpro","typeLabel":"object"}},"type":"object","uniqueKey":"oneOf.2.vendor_info.vendor_data","typeLabel":"object"},"vendor_type":{"description":"The type of vendor managing this account","enum":["LOANPRO"],"example":"LOANPRO","type":"string","uniqueKey":"oneOf.2.vendor_info.vendor_type","typeLabel":"enum\u003cstring>"}},"type":"object","uniqueKey":"oneOf.2.vendor_info","typeLabel":"object"},"access_status":{"description":"Represents whether a customer has frozen their account. `FROZEN` is a customer-initiated state meaning that the account will reject all debits, typically used for a lost or stolen card.","enum":["ACTIVE","FROZEN"],"type":"string","uniqueKey":"oneOf.2.access_status","typeLabel":"enum\u003cstring>"},"account_program_id":{"format":"uuid","type":"string","x-go-type":"openapi_types.UUID","uniqueKey":"oneOf.2.account_program_id","typeLabel":"string\u003cuuid>"},"account_purpose":{"description":"Purpose of the account","example":"This account for the account holder's salary deposit.","type":"string","uniqueKey":"oneOf.2.account_purpose","typeLabel":"string"},"account_title":{"description":"Legal account title (e.g. for trust or escrow accounts). Set at account creation and immutable thereafter; attempts to change it after creation are rejected. May be required for certain account structures such as trust accounts.","type":"string","uniqueKey":"oneOf.2.account_title","typeLabel":"string"},"account_type":{"description":"The type of the account. In lead mode, this always takes the value of the template. If not\nspecified in shadow mode, CHECKING will be assumed. Below mentioned are the account types:\n* SAVING: Savings account\n* CHECKING: Checking account\n* PREPAID: Prepaid account\n* LINE_OF_CREDIT: Line of Credit account\n* CREDIT_CARD: Credit Card account\n* CHARGE_SECURED: Secured Charge account, e.g. for use in a Smart Charge Card offering\n* CHARGE_UNSECURED: (alpha) Unsecured Charge account\n* REVOLVING_CREDIT_SECURED: Secured Revolving Credit account\n* REVOLVING_CREDIT_UNSECURED: Unsecured Revolving Credit account\n* GENERAL_LEDGER: General Ledger account (alpha - cannot yet be created). In production, these can only be created or updated by a Synctera administrator.\n","enum":["CHARGE_SECURED","CHARGE_UNSECURED","CHECKING","CREDIT_CARD","GENERAL_LEDGER","LINE_OF_CREDIT","PREPAID","REVOLVING_CREDIT_SECURED","REVOLVING_CREDIT_UNSECURED","SAVING"],"title":"Account Type","type":"string","uniqueKey":"oneOf.2.account_type","typeLabel":"enum\u003cstring>"},"application_id":{"description":"The application ID for this account.\n","format":"uuid","type":"string","uniqueKey":"oneOf.2.application_id","typeLabel":"string\u003cuuid>"},"billing_period":{"description":"The scheme for determining an account's billing period.\n","properties":{"frequency":{"description":"The frequency of billing cycles. Along with the start date, this will determine the start and end of each cycle.\n","enum":["ANNUALLY","BI_WEEKLY","DAILY","MONTHLY","SEMI_MONTHLY","WEEKLY"],"type":"string","isRequired":true,"uniqueKey":"oneOf.2.billing_period.frequency","typeLabel":"enum\u003cstring>"},"start_date":{"description":"The first day of the first billing cycle for this account. For a monthly billing cycle, the day of the month anchors every subsequent cycle: a start date of 2022-01-15 bills the 15th to the 14th. A monthly cycle must start between the 1st and the 28th, so that every month contains the start day. Weekly and bi-weekly cycles anchor on the weekday, annual cycles on the month and day. SEMI_MONTHLY always bills the 1st to the 15th and the 16th to the end of the month, and so must start on the 1st.\n\nCannot be changed once the account is created, because the billing cycles derived from it have already been closed and paid out.\n\nNote that, although this is returned as a UTC timestamp, the date always corresponds to the bank's calendar, and therefore the time and timezone should be ignored.\n","example":"2022-01-01T00:00:00Z","format":"date-time","type":"string","isRequired":true,"uniqueKey":"oneOf.2.billing_period.start_date","typeLabel":"string\u003cdate-time>"}},"required":["frequency","start_date"],"type":"object","uniqueKey":"oneOf.2.billing_period","typeLabel":"object"},"currency":{"description":"Account currency or account settlement currency. ISO 4217 alphabetic currency code. Default USD","example":"USD","pattern":"^[A-Z]{3}$","type":"string","uniqueKey":"oneOf.2.currency","typeLabel":"string"},"exchange_rate_type":{"description":"Exchange rate type","example":"M, INTERBANK, CUST","maxLength":10,"type":"string","uniqueKey":"oneOf.2.exchange_rate_type","typeLabel":"string"},"iban":{"description":"International bank account number","maxLength":34,"type":"string","uniqueKey":"oneOf.2.iban","typeLabel":"string"},"is_account_pool":{"description":"Account is investment (variable balance) account or a multi-balance account pool. Default false","type":"boolean","uniqueKey":"oneOf.2.is_account_pool","typeLabel":"boolean"},"is_custodial":{"description":"Indicates the account is a custodial account. Set at creation and immutable thereafter. An account may be flagged as any combination of custodial, trust, and escrow. account_title is required when this is set on account creation.","type":"boolean","uniqueKey":"oneOf.2.is_custodial","typeLabel":"boolean"},"is_escrow":{"description":"Indicates the account is an escrow account. Set at creation and immutable thereafter. An account may be flagged as any combination of custodial, trust, and escrow. account_title is required when this is set on account creation.","type":"boolean","uniqueKey":"oneOf.2.is_escrow","typeLabel":"boolean"},"is_trust":{"description":"Indicates the account is a trust account. Set at creation and immutable thereafter. An account may be flagged as any combination of custodial, trust, and escrow. account_title is required when this is set on account creation.","type":"boolean","uniqueKey":"oneOf.2.is_trust","typeLabel":"boolean"},"metadata":{"description":"User provided account metadata","type":"object","uniqueKey":"oneOf.2.metadata","typeLabel":"object"},"nickname":{"description":"User provided account nickname","type":"string","uniqueKey":"oneOf.2.nickname","typeLabel":"string"},"status":{"description":"The status of the account.\n\n| Status | Description | Transactable |\n|------|-----------|-----|\n| ACCOUNT_NEVER_ACTIVE | Account was never activated by the customer | N |\n| ACCOUNT_NOT_DESIRED | A credit account was created for a customer, but the customer did not accept the account | N |\n| ACTIVATED_NOT_DISBURSED | A credit account was created for the customer, but the funds have not been paid out or used | N |\n| ACTIVE_OR_DISBURSED | The account is active and transactable | Y |\n| APPLICATION_SUBMITTED | Deprecated status | N |\n| AWAITING_FIXING | Account is awaiting fixing | N |\n| CHARGED_OFF | The account has been charged off and is closed | N |\n| CLOSED | Accounts must be zeroed out before being closed. Closed accounts cannot transact | N |\n| DELINQUENT | Synctera will update a credit account to delinquent if the customer has not paid within their expected billing cycle | N |\n| FAILED_KYC | We were unable to verify the identity of the account holder: they have not passed know-your-customer (KYC) checks | N |\n| IN_CLOSING | The account is in the process of being closed. An account with the IN_CLOSING status may only be updated to CLOSED. Updates to other statuses are prohibited. | N |\n| RESTRICTED | Synctera will update accounts to restricted of the account holder has not successfully passed KYC | N |\n| SUSPENDED | Account has been suspected of fraudulent activity and is blocked from further transactions | N |\n","enum":["ACCOUNT_NEVER_ACTIVE","ACCOUNT_NOT_DESIRED","ACTIVATED_NOT_DISBURSED","ACTIVE_OR_DISBURSED","APPLICATION_SUBMITTED","AWAITING_FIXING","CHARGED_OFF","CLOSED","DELINQUENT","FAILED_KYC","IN_CLOSING","RESTRICTED","SUSPENDED"],"title":"Account Status","type":"string","uniqueKey":"oneOf.2.status","typeLabel":"enum\u003cstring>"},"swift_code":{"description":"SWIFT code","maxLength":11,"minLength":8,"type":"string","uniqueKey":"oneOf.2.swift_code","typeLabel":"string"},"is_ach_credit_enabled":{"description":"A flag to indicate whether ACH credits are enabled. Both is_ach_enabled and is_ach_credit_enabled must be true for an ACH credit to be allowed.","type":"boolean","uniqueKey":"oneOf.2.is_ach_credit_enabled","typeLabel":"boolean"},"is_ach_debit_enabled":{"description":"A flag to indicate whether ACH debits are enabled. Both is_ach_enabled and is_ach_debit_enabled must be true for an ACH debit to be allowed.","type":"boolean","uniqueKey":"oneOf.2.is_ach_debit_enabled","typeLabel":"boolean"},"is_ach_enabled":{"description":"A flag to indicate whether ACH transactions are enabled.","type":"boolean","uniqueKey":"oneOf.2.is_ach_enabled","typeLabel":"boolean"},"is_card_credit_enabled":{"description":"A flag to indicate whether card credits are enabled. Both is_card_enabled and is_card_credit_enabled must be true for a card credit to be allowed.","type":"boolean","uniqueKey":"oneOf.2.is_card_credit_enabled","typeLabel":"boolean"},"is_card_debit_enabled":{"description":"A flag to indicate whether card debits are enabled. Both is_card_enabled and is_card_debit_enabled must be true for a card debit to be allowed.","type":"boolean","uniqueKey":"oneOf.2.is_card_debit_enabled","typeLabel":"boolean"},"is_card_enabled":{"description":"A flag to indicate whether card transactions are enabled.","type":"boolean","uniqueKey":"oneOf.2.is_card_enabled","typeLabel":"boolean"},"is_cash_credit_enabled":{"description":"A flag to indicate whether cash credits are enabled. Both is_cash_enabled and is_cash_credit_enabled must be true for a cash credit to be allowed.","type":"boolean","uniqueKey":"oneOf.2.is_cash_credit_enabled","typeLabel":"boolean"},"is_cash_debit_enabled":{"description":"A flag to indicate whether cash debits are enabled. Both is_cash_enabled and is_cash_debit_enabled must be true for a cash debit to be allowed.","type":"boolean","uniqueKey":"oneOf.2.is_cash_debit_enabled","typeLabel":"boolean"},"is_cash_enabled":{"description":"A flag to indicate whether cash transactions are enabled.","type":"boolean","uniqueKey":"oneOf.2.is_cash_enabled","typeLabel":"boolean"},"is_check_credit_enabled":{"description":"A flag to indicate whether check credits are enabled. Both is_check_enabled and is_check_credit_enabled must be true for a check credit to be allowed.","type":"boolean","uniqueKey":"oneOf.2.is_check_credit_enabled","typeLabel":"boolean"},"is_check_debit_enabled":{"description":"A flag to indicate whether check debits are enabled. Both is_check_enabled and is_check_debit_enabled must be true for a check debit to be allowed.","type":"boolean","uniqueKey":"oneOf.2.is_check_debit_enabled","typeLabel":"boolean"},"is_check_enabled":{"description":"A flag to indicate whether check transactions are enabled.","type":"boolean","uniqueKey":"oneOf.2.is_check_enabled","typeLabel":"boolean"},"is_eft_ca_credit_enabled":{"description":"A flag to indicate whether EFT Canada credits are enabled. Both is_eft_ca_enabled and is_eft_ca_credit_enabled must be true for an EFT Canada credit to be allowed.","type":"boolean","uniqueKey":"oneOf.2.is_eft_ca_credit_enabled","typeLabel":"boolean"},"is_eft_ca_debit_enabled":{"description":"A flag to indicate whether EFT Canada debits are enabled. Both is_eft_ca_enabled and is_eft_ca_debit_enabled must be true for an EFT Canada debit to be allowed.","type":"boolean","uniqueKey":"oneOf.2.is_eft_ca_debit_enabled","typeLabel":"boolean"},"is_eft_ca_enabled":{"description":"A flag to indicate whether EFT Canada transactions are enabled.","type":"boolean","uniqueKey":"oneOf.2.is_eft_ca_enabled","typeLabel":"boolean"},"is_fednow_credit_enabled":{"description":"A flag to indicate whether FedNow credits are enabled. Both is_fednow_enabled and is_fednow_credit_enabled must be true for a FedNow credit to be allowed.","type":"boolean","uniqueKey":"oneOf.2.is_fednow_credit_enabled","typeLabel":"boolean"},"is_fednow_debit_enabled":{"description":"A flag to indicate whether FedNow debits are enabled. Both is_fednow_enabled and is_fednow_debit_enabled must be true for a FedNow debit to be allowed.","type":"boolean","uniqueKey":"oneOf.2.is_fednow_debit_enabled","typeLabel":"boolean"},"is_fednow_enabled":{"description":"A flag to indicate whether FedNow transactions are enabled.","type":"boolean","uniqueKey":"oneOf.2.is_fednow_enabled","typeLabel":"boolean"},"is_p2p_enabled":{"description":"A flag to indicate whether P2P transactions are enabled.","type":"boolean","uniqueKey":"oneOf.2.is_p2p_enabled","typeLabel":"boolean"},"is_synctera_pay_credit_enabled":{"description":"A flag to indicate whether Synctera Pay credits are enabled. Both is_synctera_pay_enabled and is_synctera_pay_credit_enabled must be true for a Synctera Pay credit to be allowed.","type":"boolean","uniqueKey":"oneOf.2.is_synctera_pay_credit_enabled","typeLabel":"boolean"},"is_synctera_pay_debit_enabled":{"description":"A flag to indicate whether Synctera Pay debits are enabled. Both is_synctera_pay_enabled and is_synctera_pay_debit_enabled must be true for a Synctera Pay debit to be allowed.","type":"boolean","uniqueKey":"oneOf.2.is_synctera_pay_debit_enabled","typeLabel":"boolean"},"is_synctera_pay_enabled":{"description":"A flag to indicate whether Synctera Pay transactions are enabled.","type":"boolean","uniqueKey":"oneOf.2.is_synctera_pay_enabled","typeLabel":"boolean"},"is_wire_credit_enabled":{"description":"A flag to indicate whether wire credits are enabled. Both is_wire_enabled and is_wire_credit_enabled must be true for a wire credit to be allowed.","type":"boolean","uniqueKey":"oneOf.2.is_wire_credit_enabled","typeLabel":"boolean"},"is_wire_debit_enabled":{"description":"A flag to indicate whether wire debits are enabled. Both is_wire_enabled and is_wire_debit_enabled must be true for a wire debit to be allowed.","type":"boolean","uniqueKey":"oneOf.2.is_wire_debit_enabled","typeLabel":"boolean"},"is_wire_enabled":{"description":"A flag to indicate whether wire transactions are enabled.","type":"boolean","uniqueKey":"oneOf.2.is_wire_enabled","typeLabel":"boolean"}},"uniqueKey":"oneOf.2","typeLabel":"object"},{"type":"object","description":"General ledger account properties that can be updated.\nIn production, general ledger accounts can only be created or updated by a Synctera administrator.\nGeneral ledger accounts are in Alpha status, and cannot yet be created. We may make breaking changes.","properties":{"bank_account_id":{"description":"for updating the bank_account_id of a general ledger account","format":"uuid","type":"string","uniqueKey":"oneOf.3.bank_account_id","typeLabel":"string\u003cuuid>"},"fee_product_ids":{"oneOf":[{"description":"A list of fee account products that the current account associates with.","items":{"format":"uuid","type":"string","uniqueKey":"oneOf.3.fee_product_ids.oneOf.0.items.[INDEX]","typeLabel":"string\u003cuuid>"},"type":"array","uniqueKey":"oneOf.3.fee_product_ids.oneOf.0","typeLabel":"string\u003cuuid>[]"},{"description":"A list of fee account products that the current account associates with.","items":{"format":"uuid","type":"string"},"type":"null","uniqueKey":"oneOf.3.fee_product_ids.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.3.fee_product_ids","typeLabel":"string\u003cuuid>[] | null"},"note":{"description":"Add an optional note when patching a charge unsecured account. A note is required when setting the status to or from SUSPENDED.","type":"string","writeOnly":true,"uniqueKey":"oneOf.3.note","typeLabel":"string"},"reward_product_ids":{"oneOf":[{"description":"A list of reward account products that the current account associates with.","items":{"format":"uuid","type":"string","uniqueKey":"oneOf.3.reward_product_ids.oneOf.0.items.[INDEX]","typeLabel":"string\u003cuuid>"},"type":"array","uniqueKey":"oneOf.3.reward_product_ids.oneOf.0","typeLabel":"string\u003cuuid>[]"},{"description":"A list of reward account products that the current account associates with.","items":{"format":"uuid","type":"string"},"type":"null","uniqueKey":"oneOf.3.reward_product_ids.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.3.reward_product_ids","typeLabel":"string\u003cuuid>[] | null"},"skip_sweeps":{"description":"Indicates if transactions of this account should be skipped by our sweeps system.\n","type":"boolean","uniqueKey":"oneOf.3.skip_sweeps","typeLabel":"boolean"},"is_ach_credit_enabled":{"description":"A flag to indicate whether ACH credits are enabled. Both is_ach_enabled and is_ach_credit_enabled must be true for an ACH credit to be allowed.","type":"boolean","uniqueKey":"oneOf.3.is_ach_credit_enabled","typeLabel":"boolean"},"is_ach_debit_enabled":{"description":"A flag to indicate whether ACH debits are enabled. Both is_ach_enabled and is_ach_debit_enabled must be true for an ACH debit to be allowed.","type":"boolean","uniqueKey":"oneOf.3.is_ach_debit_enabled","typeLabel":"boolean"},"is_ach_enabled":{"description":"A flag to indicate whether ACH transactions are enabled.","type":"boolean","uniqueKey":"oneOf.3.is_ach_enabled","typeLabel":"boolean"},"is_eft_ca_credit_enabled":{"description":"A flag to indicate whether EFT Canada credits are enabled. Both is_eft_ca_enabled and is_eft_ca_credit_enabled must be true for an EFT Canada credit to be allowed.","type":"boolean","uniqueKey":"oneOf.3.is_eft_ca_credit_enabled","typeLabel":"boolean"},"is_eft_ca_debit_enabled":{"description":"A flag to indicate whether EFT Canada debits are enabled. Both is_eft_ca_enabled and is_eft_ca_debit_enabled must be true for an EFT Canada debit to be allowed.","type":"boolean","uniqueKey":"oneOf.3.is_eft_ca_debit_enabled","typeLabel":"boolean"},"is_eft_ca_enabled":{"description":"A flag to indicate whether EFT Canada transactions are enabled.","type":"boolean","uniqueKey":"oneOf.3.is_eft_ca_enabled","typeLabel":"boolean"},"is_fednow_credit_enabled":{"description":"A flag to indicate whether FedNow credits are enabled. Both is_fednow_enabled and is_fednow_credit_enabled must be true for a FedNow credit to be allowed.","type":"boolean","uniqueKey":"oneOf.3.is_fednow_credit_enabled","typeLabel":"boolean"},"is_fednow_debit_enabled":{"description":"A flag to indicate whether FedNow debits are enabled. Both is_fednow_enabled and is_fednow_debit_enabled must be true for a FedNow debit to be allowed.","type":"boolean","uniqueKey":"oneOf.3.is_fednow_debit_enabled","typeLabel":"boolean"},"is_fednow_enabled":{"description":"A flag to indicate whether FedNow transactions are enabled.","type":"boolean","uniqueKey":"oneOf.3.is_fednow_enabled","typeLabel":"boolean"},"is_p2p_enabled":{"description":"A flag to indicate whether P2P transactions are enabled.","type":"boolean","uniqueKey":"oneOf.3.is_p2p_enabled","typeLabel":"boolean"},"is_synctera_pay_credit_enabled":{"description":"A flag to indicate whether Synctera Pay credits are enabled. Both is_synctera_pay_enabled and is_synctera_pay_credit_enabled must be true for a Synctera Pay credit to be allowed.","type":"boolean","uniqueKey":"oneOf.3.is_synctera_pay_credit_enabled","typeLabel":"boolean"},"is_synctera_pay_debit_enabled":{"description":"A flag to indicate whether Synctera Pay debits are enabled. Both is_synctera_pay_enabled and is_synctera_pay_debit_enabled must be true for a Synctera Pay debit to be allowed.","type":"boolean","uniqueKey":"oneOf.3.is_synctera_pay_debit_enabled","typeLabel":"boolean"},"is_synctera_pay_enabled":{"description":"A flag to indicate whether Synctera Pay transactions are enabled.","type":"boolean","uniqueKey":"oneOf.3.is_synctera_pay_enabled","typeLabel":"boolean"},"is_wire_credit_enabled":{"description":"A flag to indicate whether wire credits are enabled. Both is_wire_enabled and is_wire_credit_enabled must be true for a wire credit to be allowed.","type":"boolean","uniqueKey":"oneOf.3.is_wire_credit_enabled","typeLabel":"boolean"},"is_wire_debit_enabled":{"description":"A flag to indicate whether wire debits are enabled. Both is_wire_enabled and is_wire_debit_enabled must be true for a wire debit to be allowed.","type":"boolean","uniqueKey":"oneOf.3.is_wire_debit_enabled","typeLabel":"boolean"},"is_wire_enabled":{"description":"A flag to indicate whether wire transactions are enabled.","type":"boolean","uniqueKey":"oneOf.3.is_wire_enabled","typeLabel":"boolean"},"access_status":{"description":"Represents whether a customer has frozen their account. `FROZEN` is a customer-initiated state meaning that the account will reject all debits, typically used for a lost or stolen card.","enum":["ACTIVE","FROZEN"],"type":"string","uniqueKey":"oneOf.3.access_status","typeLabel":"enum\u003cstring>"},"account_program_id":{"format":"uuid","type":"string","x-go-type":"openapi_types.UUID","uniqueKey":"oneOf.3.account_program_id","typeLabel":"string\u003cuuid>"},"account_purpose":{"description":"Purpose of the account","example":"This account for the account holder's salary deposit.","type":"string","uniqueKey":"oneOf.3.account_purpose","typeLabel":"string"},"account_title":{"description":"Legal account title (e.g. for trust or escrow accounts). Set at account creation and immutable thereafter; attempts to change it after creation are rejected. May be required for certain account structures such as trust accounts.","type":"string","uniqueKey":"oneOf.3.account_title","typeLabel":"string"},"account_type":{"description":"The type of the account. In lead mode, this always takes the value of the template. If not\nspecified in shadow mode, CHECKING will be assumed. Below mentioned are the account types:\n* SAVING: Savings account\n* CHECKING: Checking account\n* PREPAID: Prepaid account\n* LINE_OF_CREDIT: Line of Credit account\n* CREDIT_CARD: Credit Card account\n* CHARGE_SECURED: Secured Charge account, e.g. for use in a Smart Charge Card offering\n* CHARGE_UNSECURED: (alpha) Unsecured Charge account\n* REVOLVING_CREDIT_SECURED: Secured Revolving Credit account\n* REVOLVING_CREDIT_UNSECURED: Unsecured Revolving Credit account\n* GENERAL_LEDGER: General Ledger account (alpha - cannot yet be created). In production, these can only be created or updated by a Synctera administrator.\n","enum":["CHARGE_SECURED","CHARGE_UNSECURED","CHECKING","CREDIT_CARD","GENERAL_LEDGER","LINE_OF_CREDIT","PREPAID","REVOLVING_CREDIT_SECURED","REVOLVING_CREDIT_UNSECURED","SAVING"],"title":"Account Type","type":"string","uniqueKey":"oneOf.3.account_type","typeLabel":"enum\u003cstring>"},"application_id":{"description":"The application ID for this account.\n","format":"uuid","type":"string","uniqueKey":"oneOf.3.application_id","typeLabel":"string\u003cuuid>"},"billing_period":{"description":"The scheme for determining an account's billing period.\n","properties":{"frequency":{"description":"The frequency of billing cycles. Along with the start date, this will determine the start and end of each cycle.\n","enum":["ANNUALLY","BI_WEEKLY","DAILY","MONTHLY","SEMI_MONTHLY","WEEKLY"],"type":"string","isRequired":true,"uniqueKey":"oneOf.3.billing_period.frequency","typeLabel":"enum\u003cstring>"},"start_date":{"description":"The first day of the first billing cycle for this account. For a monthly billing cycle, the day of the month anchors every subsequent cycle: a start date of 2022-01-15 bills the 15th to the 14th. A monthly cycle must start between the 1st and the 28th, so that every month contains the start day. Weekly and bi-weekly cycles anchor on the weekday, annual cycles on the month and day. SEMI_MONTHLY always bills the 1st to the 15th and the 16th to the end of the month, and so must start on the 1st.\n\nCannot be changed once the account is created, because the billing cycles derived from it have already been closed and paid out.\n\nNote that, although this is returned as a UTC timestamp, the date always corresponds to the bank's calendar, and therefore the time and timezone should be ignored.\n","example":"2022-01-01T00:00:00Z","format":"date-time","type":"string","isRequired":true,"uniqueKey":"oneOf.3.billing_period.start_date","typeLabel":"string\u003cdate-time>"}},"required":["frequency","start_date"],"type":"object","uniqueKey":"oneOf.3.billing_period","typeLabel":"object"},"currency":{"description":"Account currency or account settlement currency. ISO 4217 alphabetic currency code. Default USD","example":"USD","pattern":"^[A-Z]{3}$","type":"string","uniqueKey":"oneOf.3.currency","typeLabel":"string"},"exchange_rate_type":{"description":"Exchange rate type","example":"M, INTERBANK, CUST","maxLength":10,"type":"string","uniqueKey":"oneOf.3.exchange_rate_type","typeLabel":"string"},"iban":{"description":"International bank account number","maxLength":34,"type":"string","uniqueKey":"oneOf.3.iban","typeLabel":"string"},"is_account_pool":{"description":"Account is investment (variable balance) account or a multi-balance account pool. Default false","type":"boolean","uniqueKey":"oneOf.3.is_account_pool","typeLabel":"boolean"},"is_custodial":{"description":"Indicates the account is a custodial account. Set at creation and immutable thereafter. An account may be flagged as any combination of custodial, trust, and escrow. account_title is required when this is set on account creation.","type":"boolean","uniqueKey":"oneOf.3.is_custodial","typeLabel":"boolean"},"is_escrow":{"description":"Indicates the account is an escrow account. Set at creation and immutable thereafter. An account may be flagged as any combination of custodial, trust, and escrow. account_title is required when this is set on account creation.","type":"boolean","uniqueKey":"oneOf.3.is_escrow","typeLabel":"boolean"},"is_trust":{"description":"Indicates the account is a trust account. Set at creation and immutable thereafter. An account may be flagged as any combination of custodial, trust, and escrow. account_title is required when this is set on account creation.","type":"boolean","uniqueKey":"oneOf.3.is_trust","typeLabel":"boolean"},"metadata":{"description":"User provided account metadata","type":"object","uniqueKey":"oneOf.3.metadata","typeLabel":"object"},"nickname":{"description":"User provided account nickname","type":"string","uniqueKey":"oneOf.3.nickname","typeLabel":"string"},"status":{"description":"The status of the account.\n\n| Status | Description | Transactable |\n|------|-----------|-----|\n| ACCOUNT_NEVER_ACTIVE | Account was never activated by the customer | N |\n| ACCOUNT_NOT_DESIRED | A credit account was created for a customer, but the customer did not accept the account | N |\n| ACTIVATED_NOT_DISBURSED | A credit account was created for the customer, but the funds have not been paid out or used | N |\n| ACTIVE_OR_DISBURSED | The account is active and transactable | Y |\n| APPLICATION_SUBMITTED | Deprecated status | N |\n| AWAITING_FIXING | Account is awaiting fixing | N |\n| CHARGED_OFF | The account has been charged off and is closed | N |\n| CLOSED | Accounts must be zeroed out before being closed. Closed accounts cannot transact | N |\n| DELINQUENT | Synctera will update a credit account to delinquent if the customer has not paid within their expected billing cycle | N |\n| FAILED_KYC | We were unable to verify the identity of the account holder: they have not passed know-your-customer (KYC) checks | N |\n| IN_CLOSING | The account is in the process of being closed. An account with the IN_CLOSING status may only be updated to CLOSED. Updates to other statuses are prohibited. | N |\n| RESTRICTED | Synctera will update accounts to restricted of the account holder has not successfully passed KYC | N |\n| SUSPENDED | Account has been suspected of fraudulent activity and is blocked from further transactions | N |\n","enum":["ACCOUNT_NEVER_ACTIVE","ACCOUNT_NOT_DESIRED","ACTIVATED_NOT_DISBURSED","ACTIVE_OR_DISBURSED","APPLICATION_SUBMITTED","AWAITING_FIXING","CHARGED_OFF","CLOSED","DELINQUENT","FAILED_KYC","IN_CLOSING","RESTRICTED","SUSPENDED"],"title":"Account Status","type":"string","uniqueKey":"oneOf.3.status","typeLabel":"enum\u003cstring>"},"swift_code":{"description":"SWIFT code","maxLength":11,"minLength":8,"type":"string","uniqueKey":"oneOf.3.swift_code","typeLabel":"string"}},"uniqueKey":"oneOf.3","typeLabel":"object"},{"type":"object","description":"Rails available to enable on charged unsecured accounts","properties":{"credit_limit":{"description":"The credit limit for this charge unsecured account in cents. Minimum is 0.\n","example":2500,"format":"int64","minimum":0,"type":"integer","uniqueKey":"oneOf.4.credit_limit","typeLabel":"integer\u003cint64>"},"fee_product_ids":{"oneOf":[{"description":"A list of fee account products that the current account associates with.","items":{"format":"uuid","type":"string","uniqueKey":"oneOf.4.fee_product_ids.oneOf.0.items.[INDEX]","typeLabel":"string\u003cuuid>"},"type":"array","uniqueKey":"oneOf.4.fee_product_ids.oneOf.0","typeLabel":"string\u003cuuid>[]"},{"description":"A list of fee account products that the current account associates with.","items":{"format":"uuid","type":"string"},"type":"null","uniqueKey":"oneOf.4.fee_product_ids.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.4.fee_product_ids","typeLabel":"string\u003cuuid>[] | null"},"grace_period":{"description":"The number of days past the billing period to allow for payment before it is considered due. This directly determines the due date for a payment.\n","minimum":1,"type":"integer","uniqueKey":"oneOf.4.grace_period","typeLabel":"integer"},"note":{"description":"Add an optional note when patching a charge unsecured account. A note is required when setting the status to or from SUSPENDED.","type":"string","writeOnly":true,"uniqueKey":"oneOf.4.note","typeLabel":"string"},"reward_product_ids":{"oneOf":[{"description":"A list of reward account products that the current account associates with.","items":{"format":"uuid","type":"string","uniqueKey":"oneOf.4.reward_product_ids.oneOf.0.items.[INDEX]","typeLabel":"string\u003cuuid>"},"type":"array","uniqueKey":"oneOf.4.reward_product_ids.oneOf.0","typeLabel":"string\u003cuuid>[]"},{"description":"A list of reward account products that the current account associates with.","items":{"format":"uuid","type":"string"},"type":"null","uniqueKey":"oneOf.4.reward_product_ids.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.4.reward_product_ids","typeLabel":"string\u003cuuid>[] | null"},"spend_control_ids":{"description":"List of spend control IDs to control spending for the account","items":{"example":"7d943c51-e4ff-4e57-9558-08cab6b963c7","format":"uuid","type":"string","uniqueKey":"oneOf.4.spend_control_ids.items.[INDEX]","typeLabel":"string\u003cuuid>"},"maxItems":100,"type":"array","uniqueKey":"oneOf.4.spend_control_ids","typeLabel":"string\u003cuuid>[]"},"access_status":{"description":"Represents whether a customer has frozen their account. `FROZEN` is a customer-initiated state meaning that the account will reject all debits, typically used for a lost or stolen card.","enum":["ACTIVE","FROZEN"],"type":"string","uniqueKey":"oneOf.4.access_status","typeLabel":"enum\u003cstring>"},"account_program_id":{"format":"uuid","type":"string","x-go-type":"openapi_types.UUID","uniqueKey":"oneOf.4.account_program_id","typeLabel":"string\u003cuuid>"},"account_purpose":{"description":"Purpose of the account","example":"This account for the account holder's salary deposit.","type":"string","uniqueKey":"oneOf.4.account_purpose","typeLabel":"string"},"account_title":{"description":"Legal account title (e.g. for trust or escrow accounts). Set at account creation and immutable thereafter; attempts to change it after creation are rejected. May be required for certain account structures such as trust accounts.","type":"string","uniqueKey":"oneOf.4.account_title","typeLabel":"string"},"account_type":{"description":"The type of the account. In lead mode, this always takes the value of the template. If not\nspecified in shadow mode, CHECKING will be assumed. Below mentioned are the account types:\n* SAVING: Savings account\n* CHECKING: Checking account\n* PREPAID: Prepaid account\n* LINE_OF_CREDIT: Line of C
[...]
